<?php
require_once("cryptage.php");
require_once("gesconf_inc.php");



Class people_conf
{
	var $id_people;
	var $id_conf;
	var $remote;
	var $lunch;
	var $arrival;
	var $departure;
	var $presentation;
	var $title;
	var $myabstract;
	var $comments;
	


// Constructeur
function people_conf()
	{
	$this->init(-1,-1,"","","","","","","","");
	}
//Initialisation
function init(	$id_people, 
				$id_conf, 
				$remote,
				$lunch,
				$arrival, 
				$departure,
				$presentation, 
				$title,
				$myabstract,
				$comments
				 )
	{
	$this->id_people = $id_people;
	$this->id_conf = $id_conf; 
	$this->remote = $remote; 
	$this->lunch = $lunch; 
	$this->arrival = $arrival; 
	$this->departure =$departure; 
	$this->presentation = $presentation;
	$this->title =$title; 
	$this->myabstract =$myabstract;
	$this->comments =$comments;
	return true;
	}

// Reinitialisation
function reinit( )
	{
	// On initialise
	return $this->init(-1,-1,"","","","","","","","");
	}


// Lecture/relecture d'un utilisateur par son nouser
function charge($id_people,$id_conf)
	{
		$ok=$this->reinit();
		if ($ok)
		{
			$requete=construire_requete("SELECT spip_gesconfs_people_conf.id_people, spip_gesconfs_people_conf.id_conf, spip_gesconfs_people_conf.remote, spip_gesconfs_people_conf.lunch, spip_gesconfs_people_conf.arrival,
			spip_gesconfs_people_conf.departure, spip_gesconfs_people_conf.presentation, spip_gesconfs_people_conf.title, 
			spip_gesconfs_people_conf.myabstract,spip_gesconfs_people_conf.comments
			FROM spip_gesconfs_people_conf 
			WHERE  spip_gesconfs_people_conf.id_people='%1'  AND spip_gesconfs_people_conf.id_conf='%2' ", $id_people,$id_conf);
			
			//$requete="SELECT spip_gesconfs_people_conf.id_people, spip_gesconfs_people_conf.id_conf, spip_gesconfs_people_conf.arrival,";
			//$requete.="spip_gesconfs_people_conf.departure, spip_gesconfs_people_conf.presentation, spip_gesconfs_people_conf.title, ";
			//$requete.="spip_gesconfs_people_conf.myabstract";
			//$requete.="FROM spip_gesconfs_people_conf ";
			//$requete.="WHERE  spip_gesconfs_people_conf.id_people=$id_people AND spip_gesconfs_people_conf.id_conf=$id_conf";
    
			$retour = spip_query($requete);
			$nb=spip_num_rows($retour);
			if ($nb==0)
			{
				$ok=false;
			}
			else
			{
			while ($resultat=spip_fetch_array($retour))
				{	
					$ok=$this->init($id_people,
						$id_conf,
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[myabstract],
						$resultat[comments]
						 );
				}
			}	
		}
		return $ok;
	}	
	
// Affichage des donnes sous forme d'une ligne de tableau	
function affiche()	
	{ 
		$remote=($this->remote=="t")?"<:affiche_remote:>":"<:affiche_local:>";
		$lunch=($this->lunch=="t")?"<:item_oui:>":"<:item_non:>";
	  return 
		"
		<td>".$remote."</td>
		<td>$lunch</td>
		<td>$this->arrival</td>
		<td>$this->departure</td>
		<td>".vers_html($this->title)."</td>
		<td>".vers_html($this->myabstract)."</td>
		<td>".vers_html($this->comments)."</td>
		";	

	}

// Affichage des donnes sous forme d'une ligne de tableau	
function affiche_inline()	
	{ 
		$remote=($this->remote=="t")?"<:affiche_remote:>":"<:affiche_local:>";
		$lunch=($this->lunch=="t")?"<:item_oui:>":"<:item_non:>";
	  return 
		"<td>".$remote."&nbsp;</td><td>".$lunch." &nbsp;</td><td>".$this->arrival." &nbsp;</td><td>".$this->departure." &nbsp;</td><td>".vers_html($this->title)." &nbsp;</td><td>".vers_html($this->myabstract)." &nbsp;</td><td>".vers_html($this->comments)." &nbsp; </td>";	
	}

	
// Affichage des donnes sous forme d'une ligne de tableau	
function afficheshort()	
	{ 
		$remote=($this->remote=="t")?"<:affiche_remote:>":"<:affiche_local:>";
		$lunch=($this->lunch=="t")?"<:item_oui:>":"<:item_non:>";
	  return 
		"
		<td>".$remote."</td>
		<td>$lunch</td>
		<td>".vers_html($this->comments)."</td>
		";	

	}	
	
	
function existe()
	{
	$exist=false;
	$requete=construire_requete("
				SELECT * 
				FROM spip_gesconfs_people_conf
				WHERE id_people='%1' 
				AND id_conf='%2'
				",$this->id_people, $this->id_conf);
	$resultat=spip_query($requete);
	$resultat=spip_num_rows($resultat);
	
	if (!($resultat==0)){$exist=True;}

	return $exist;
	}

function ajoutemodifie()
	{
		if ($this->existe()){
			$ok=$this->modifie();
			if ($ok) {$message="<:inscription_maj:>";}
				else {$message="<:inscription_pasmaj:>";}
		}
		else
		{
			$ok=$this->ajoute();
			if ($ok) {$message="<:inscription_cree:>";}
				else {$message="<:inscription_pascree:>";}
		}
		
		//affiche_msg($message );
		echo $message."<br />";
		return $ok;
	}


function supprime()
	{
		global $db_name;
		//$dbidconnect=opendb_admin();
		$requete = "DELETE FROM spip_gesconfs_people_conf WHERE id_people= '$this->id_people' AND id_conf= '$this->id_conf' "; 					
		//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);
		$resultat=spip_query($requete);
		
		if ($resultat)
		{
			$message="<:inscription_effacee:>";	
		}
		else
		{
			$message="<:inscription_paseffacee:>";		
		}
		echo $message."<br />";
		return $resultat;	
	}


function ajoute()
	{
	$id_people      =str_replace("'","''",$this->id_people)         ;
	$id_conf   =str_replace("'","''",$this->id_conf)    ;  
	if ($this->remote) {$remote="t";} else {$remote="f";};
	$remote    =str_replace("'","''",$this->remote)       ;
	if ($this->lunch==true) {$lunch="t";} else {$lunch="f";};
	$lunch    =str_replace("'","''",$this->lunch)       ;
	$arrival    =str_replace("'","''",$this->arrival)       ;
	$departure =str_replace("'","''",$this->departure)    ;
	$presentation=str_replace("'","''",$this->presentation);   
	$title=str_replace("'","''",$this->title) ;  
	$myabstract      =str_replace("'","''",$this->myabstract)         ;
	$comments      =str_replace("'","''",$this->comments)         ;
	 
	$requete = "INSERT INTO spip_gesconfs_people_conf(";
	$requete .=" id_people,id_conf, remote, lunch, arrival,departure, presentation,";
	$requete .=" title,myabstract,comments)";
	$requete .="VALUES ( '$id_people', '$id_conf', '$remote' , '$lunch', '$arrival','$departure', ";
	$requete .="'$presentation','$title','$myabstract','$comments')";
	$resultat=spip_query($requete);
	
	if ($resultat)
		{		
		$ok=1;
		}
	else
		{
		$ok=0;
		}
	return $ok;
	}
	
function modifie()
	{global $db_name;	
	//$dbidconnect=opendb_admin();
	
	$id_people      =str_replace("'","''",$this->id_people)         ;
	$id_conf   =str_replace("'","''",$this->id_conf)    ;  
	if ($this->remote) {$remote="t";} else {$remote="f";};
	$remote    =str_replace("'","''",$this->remote)       ;
	if ($this->lunch==true) {$lunch="t";} else {$lunch="f";};
	$lunch    =str_replace("'","''",$this->lunch)       ;
	$arrival    =str_replace("'","''",$this->arrival)       ;
	$departure =str_replace("'","''",$this->departure)    ;
	$presentation=str_replace("'","''",$this->presentation);   
	$title=str_replace("'","''",$this->title) ;  
	$myabstract      =str_replace("'","''",$this->myabstract)         ;
	$comments      =str_replace("'","''",$this->comments)         ;


	$requete = "UPDATE spip_gesconfs_people_conf ";
	$requete .= " SET 	id_people      ='$id_people'     ,";
	$requete .= "		id_conf   ='$id_conf'  ,";
	$requete .= "		remote    ='$remote'    ,";
	$requete .= "		lunch    ='$lunch'    ,";
	$requete .= "		arrival    ='$arrival'    ,";
	$requete .= "		departure ='$departure' ,";
	$requete .= "		presentation='$presentation',";
	$requete .= "		title='$title'      ,";
	$requete .= "		myabstract    ='$myabstract'   , ";
	$requete .= "		comments    ='$comments'    ";
	
	$requete .= " WHERE id_people= '$this->id_people' ";
	$requete .= " AND   id_conf= '$this->id_conf'";
	$resultat=spip_query($requete);		
	return $resultat;
	}

function export_csv($id_conf,$titre)
	{
	$csv = $titre;
	$csv .= html_entity_decode(fl_traduire("<:nom:>,<:prenom:>,<:institut:>,<:email:>,<:adresse:>,,<:code_poste:>,<:ville:>,<:pays:>,<:tel1:>,<:tel2:>,<:fax:>,<:remote:>,<:repas:>,<:arrival:>,<:departure:>,<:presentation:>,<:titre_presentation:>,<:resume:>,<:comments:> \n"),ENT_NOQUOTES,$encodage);
	$people = new people();
	$requete=construire_requete("
				SELECT * 
				FROM spip_gesconfs_people_conf
				WHERE id_conf='%1' 
				", $id_conf);
			
	$retour = spip_query($requete);
	while ($resultat=spip_fetch_array($retour))
		{
			$this->init($resultat[id_people],
						$resultat[id_conf],
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[myabstract],
						$resultat[comments]
						 );
			$people->charge($this->id_people);
			$csv .= $people->export_csv();
			$csv .= ",\"".vers_csv($this->remote)."\",\"".vers_csv($this->lunch)."\",\"".vers_csv($this->arrival)."\",\"".vers_csv($this->departure)."\",\"".vers_csv($this->presentation)."\",\"".vers_csv($this->title)."\",\"".vers_csv($this->myabstract)."\",\"".vers_csv($this->comments)."\" \n";
			
		}
	return $csv;
	}	

// fonction affichant la liste de tous les participants  une conf
function liste($id_conf)
	{
	$people = new people();
	$requete=construire_requete("
				SELECT * 
				FROM spip_gesconfs_people_conf
				WHERE id_conf='%1' 
				", $id_conf);
			
	$retour = spip_query($requete);
	echo "<table class=\"spip\"><tr class=\"row_first\"><td class=\"spip\"> <:nom:> </td><td class=\"spip\"> <:prenom:> </td> <td class=\"spip\"> <:institut:> </td> <td class=\"spip\"> <:email:> </td>";
	echo "<td><:titre_presentation:></td><td> <:plus:> </td></tr>";
//	echo "<td class=\"spip\"> remote </td><td class=\"spip\"> Lunch </td> <td class=\"spip\"> arrival </td> <td class=\"spip\"> departure </td>";
//	echo "<td class=\"spip\">Title </td><td class=\"spip\">Abstract </td><td class=\"spip\">Comments </td> </tr>";
	
	$row="row_odd";
	$compteur=0;
	while ($resultat=spip_fetch_array($retour))
				{	$compteur++;
					$row=($row=="row_odd")?"row_even":"row_odd";
					$this->init($resultat[id_people],
						$resultat[id_conf],
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[myabstract],
						$resultat[comments]
						 );
					$people->charge($this->id_people);
					echo "<tr class=\"$row\">";
					echo $people->affiche();
//					echo $this->affiche(); 

					//
					//$shortmore="Title: <strong>".vers_javascript($this->title)."</strong><br />Abstract: ".vers_javascript($this->myabstract);
					//echo "<td>  <a href=# onClick='PetiteFenetre(\"".$more."\")'   onmouseover='texttodisplay=\"".$shortmore."\";writetxt(texttodisplay);' onmouseout='writetxt(0) '  > more info </a>  </td>";
					//echo "<td>  <a href='javascript:PetiteFenetre(\"".$more."\")'   onmouseover='texttodisplay=\"".$shortmore."\";writetxt(texttodisplay);' onmouseout='writetxt(0) '  > more info </a>  </td>";	
					
					
					$presnt="<td><a class=\"conf_present\" title=\"&lt;strong&gt;".vers_javascript($this->title)." &lt;/strong&gt; <:par:> ".vers_javascript($people->nom." ".$people->prenom)."\"  href=\"#\" rel=\"#conf_present_".$compteur."\">".vers_html($this->title)."</a>";
					$presnt.="<div id=\"conf_present_".$compteur."\"> <strong><:resume:> :</strong> ".vers_html($this->myabstract)."</div></td>";
					
					
					
					$more="<td><a class=\"complete_infos\" href=\"#\" title=\"".vers_javascript($people->nom." ".$people->prenom)."\"   rel=\"#complete_infos_".$compteur."\"><:more:></a>";
					$more.="<div  id=\"complete_infos_".$compteur."\">";
					$more .="<h1> <:conf_infos:> ".vers_html($people->nom)." ".vers_html($people->prenom)." </h1> ";
					$more .= "<table border=\"1\" class=\"more_infos spip\"><tr class=\"row_first\"><td> <:nom:> </td><td> <:prenom:> </td> <td> <:institut:> </td><td> <:email:> </td> ";
					$more .= "<td> <:affiche_assistera:> </td><td> <:repas:> </td> <td> <:arrival:> </td> <td> <:departure:> </td>";
					$more .= "<td><:titre_presentation:> </td><td style=\"width:250\"><:resume:> </td><td><:comments:> </td> </tr><tr style=\"vertical-align:top\">";
					
					$more .= $people->affiche_inline().$this->affiche_inline()."</tr></table>";
					//$more .= "</tr></table>";
					$more .="</div></td>";
					
					echo $presnt.$more."</tr>";				
					
				}	
	echo "</table>";
	return $exist;
	}





// fonction affichant la liste de tous les participants  une conf
function shortliste($id_conf)
	{
	$people = new people();
	$requete=construire_requete("
				SELECT * 
				FROM spip_gesconfs_people_conf
				WHERE id_conf='%1' 
				", $id_conf);
			
	$retour = spip_query($requete);
	
	echo "<table class=\"spip\"><tr class=\"row_first\"><td class=\"spip\"> <:nom:> </td><td class=\"spip\"> <:prenom:> </td> <td class=\"spip\"> <:institut:> </td><td class=\"spip\"> <:email:> </td>";
	echo "<td class=\"spip\"> <:remote:> </td><td class=\"spip\"> <:repas:> </td>";
	echo "<td class=\"spip\"><:comments:> </td> </tr>";
	
	$row="row_odd";
	while ($resultat=spip_fetch_array($retour))
				{	$row=($row=="row_odd")?"row_even":"row_odd";
					$this->init($resultat[id_people],
						$resultat[id_conf],
						$resultat[remote],
						$resultat[lunch],
						$resultat[arrival],
						$resultat[departure],
						$resultat[presentation],
						$resultat[title],
						$resultat[myabstract],
						$resultat[comments]
						 );
					$people->charge($this->id_people);
					echo "<tr class=\"$row\">";
					echo $people->affiche();
					echo $this->afficheshort(); 
					echo "</tr>";
				}	
	echo "</table>";
	return $exist;
	}












}// fin classe people_conf






// Definition de classe people
Class people
{
	var $id_people;
	var $nom;
	var $prenom;
	var $email;
	var $institut;
	var $addresse1;
	var $addresse2;
	var $zip;
	var $ville;
	var $pays;
	var $tel1;
	var $tel2;
	var $fax;
	var $passwd;


// Constructeur
function people()
	{
	//$this ->init(-1,"Last Name","First name","Email","Institute","Address 1","Address 2","Zip code","Town","Country","Telephone 1","Telephone 2","Fax","passwd");
	$this->init(-1,"","","","","","","","","","","","","");
	}
//Initialisation
function init(	$id_people, 
				$nom, 
				$prenom, 
				$email,
				$institut, 
				$addresse1,
				$addresse2,
				$zip, 
				$ville,
				$pays,
				$tel1,
				$tel2,
				$fax,
				$passwd )
	{
	$this->id_people = $id_people;
	$this->nom = $nom; 
	$this->prenom = $prenom; 
	$this->email =$email; 
	$this->institut = $institut;
	$this->addresse1 =$addresse1; 
	$this->addresse2 =$addresse2;
	$this->zip =$zip;	
	$this->ville =$ville;
	$this->pays =$pays;
	$this->tel1 = $tel1;
	$this->tel2 = $tel2;
	$this->fax = $fax;
	$this->passwd = $passwd;
	return true;
	}

// Reinitialisation
function reinit( )
	{
	// On initialise
	return $this->init(-1,"","","","","","","","","","","","","");
	}


// Crypt passw
function encode_passwd($key, $password)
	{
		$crypt = new Encryption;
		$encrypt_result = $crypt->encrypt($key, addslashes($password),15);
		$errors = $crypt->errors;
		return $encrypt_result;
	}

// Decrypt passw
function decode_passwd($key, $password)
	{
		$crypt = new Encryption;
		$decrypt_result = $crypt->decrypt($key, $password);
		$errors = $crypt->errors;
		return $decrypt_result;
	}


// Cherche un utilisateur par son email (unique)
// Retourne true si un user est trouv et false sinon
function chercheemail($email, $pass="")
	{
	$ok=false;
	$this->reinit();
	$requete="SELECT spip_gesconfs_people.id_people, spip_gesconfs_people.nom, spip_gesconfs_people.prenom,";
	$requete.="spip_gesconfs_people.email, spip_gesconfs_people.institut, spip_gesconfs_people.addresse1, ";
	$requete.="spip_gesconfs_people.addresse2,spip_gesconfs_people.zip, spip_gesconfs_people.ville, ";
	$requete.="spip_gesconfs_people.pays, spip_gesconfs_people.tel1, spip_gesconfs_people.tel2, ";
	$requete.="spip_gesconfs_people.fax, spip_gesconfs_people.passwd ";
	$requete.="FROM spip_gesconfs_people ";
	$requete.="WHERE  spip_gesconfs_people.email= '$email' ";
	
	$retour = spip_query($requete);
	$nb=spip_num_rows($retour);
	if ($nb==0)
	{
			$this->init(-1,"","",$email,"","","","","","","","","",$pass);
	} 
	else
	{
		$ok=true;
		while ($resultat=spip_fetch_array($retour))
		{		
			$this->init($resultat[id_people],
					$resultat[nom],
					$resultat[prenom],
					$resultat[email],
					$resultat[institut],
					$resultat[addresse1],
					$resultat[addresse2],
					$resultat[zip],
					$resultat[ville],
					$resultat[pays],
					$resultat[tel1],
					$resultat[tel2],
					$resultat[fax],
					//$resultat[passwd]
					$this->decode_passwd($resultat[email],$resultat[passwd])
					 );
		}	
	}
	return $ok;
	}

// fonction vrifiant si le password est correct
function checkpassw($passwd)
	{
	return ($this->passwd == $passwd);
	}

// Lecture/relecture d'un utilisateur par son nouser
function charge($id_people)
	{
	$ok=$this->reinit();
	if ($ok)
	{
    	$requete="SELECT spip_gesconfs_people.id_people, spip_gesconfs_people.nom, spip_gesconfs_people.prenom,";
    	$requete.="spip_gesconfs_people.email, spip_gesconfs_people.institut, spip_gesconfs_people.addresse1, ";
    	$requete.="spip_gesconfs_people.addresse2,spip_gesconfs_people.zip, spip_gesconfs_people.ville, ";
    	$requete.="spip_gesconfs_people.pays, spip_gesconfs_people.tel1, spip_gesconfs_people.tel2, ";
    	$requete.="spip_gesconfs_people.fax, spip_gesconfs_people.passwd ";
    	$requete.="FROM spip_gesconfs_people ";
    	$requete.="WHERE  spip_gesconfs_people.id_people=$id_people ";
    
    	$retour = spip_query($requete);
		$nb=spip_num_rows($retour);
    	if ($nb==0)
    	{
			$ok=false;
		}
		else
		{
    		while ($resultat=spip_fetch_array($retour))
    			{
    			
    				$ok=$this->init($id_people,
    						$resultat[nom],
    						$resultat[prenom],
    						$resultat[email],
    						$resultat[institut],
    						$resultat[addresse1],
    						$resultat[addresse2],
    						$resultat[zip],
    						$resultat[ville],
    						$resultat[pays],
    						$resultat[tel1],
    						$resultat[tel2],
    						$resultat[fax],
    						//$resultat[passwd]
							$this->decode_passwd($resultat[email],$resultat[passwd])
    						 );
    			}
		}	
	}
	return $ok;
	}	
	
	
	
	
// Affichage des donnes sous forme d'une ligne de tableau	
function affiche()	
	{ 	return 
		"
	    <td>".vers_html($this->nom)."</td>
	    <td>".vers_html($this->prenom)."</td>
	    <td>".vers_html($this->institut)."</td>
	    <td>".fl_at($this->email)."</td>
		";	

	}
	
function affiche_inline()	
	{ 	return 
		"<td>".vers_html($this->nom)."&nbsp;</td><td>".vers_html($this->prenom)."&nbsp;</td><td>".vers_html($this->institut)."&nbsp;</td><td>".fl_at(vers_html($this->email))."</td>";	

	}
	
function export_csv()
	{
		return "\"".vers_csv($this->nom)."\",\"".vers_csv($this->prenom)."\",\"".vers_csv($this->institut)."\",\"".vers_csv($this->email)."\",\"".vers_csv($this->addresse1)."\",\"".vers_csv($this->addresse2)."\",\"".vers_csv($this->zip)."\",\"".vers_csv($this->ville)."\",\"".vers_csv($this->pays)."\",\"".vers_csv($this->tel1)."\",\"".vers_csv($this->tel2)."\",\"".vers_csv($this->fax)."\"";
	}	
	
function verifie()
	{
	$ok=true;
	if (($this->nom=="") ){$ok=false;$message="<:name_mandatory:>";};
	if (($this->email=="") ){$ok=false;$message="<:email_mandatory:>";};
	if (!fl_emailvalide($this->email)){$ok=false;$message="<:invalid_email_syntax:>";};
	if ($ok)
		{
			$requete=construire_requete("
						SELECT * 
						FROM spip_gesconfs_people 
						WHERE email='%1' 
						AND id_people <> $this->id_people
						",$this->email);
			$resultat=spip_query($requete);
			$resultat=spip_num_rows($resultat);
			
			if (!($resultat==0)){$ok=0;$message.=" <:email_existe:>";}
				
		}
	if (!$ok) 
	{
		affiche_msg($message);		
	}	
	return $ok;
	}

function ajoutemodifie()
	{
		$ok=$this->verifie();
		if ($ok)
		{	
			if ( (trim($this->id_people)=="0") or ($this->id_people==0) or (trim($this->id_people)=="-1") or ($this->id_people==-1))
			{	
				$ok=$this->ajoute();
				
				if ($ok) {$message="<:utilisateur:> $this->prenom $this->nom <:user_ajoute:>.";}
				else {$message="<:erreur:>: <:utilisateur:> $this->prenom $this->nom <:user_pasajoute:>.";}
			}
			else
			{	
				$ok=$this->modifie();
				if ($ok) {$message="<:utilisateur:> $this->prenom $this->nom <:user_maj:>.";}
				else {$message="<:erreur:>: <:utilisateur:> $this->prenom $this->nom <:user_pasmaj:>.";}
			}
		}
		
		echo $message."<br />";
		
		return $ok;
	}


function supprime()
	{
		global $db_name;
		//$dbidconnect=opendb_admin();
		$requete = "DELETE FROM spip_gesconfs_people WHERE id_people= '$this->id_people' "; 					
		//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);
		$resultat=spip_query($requete);
		
		if ($resultat)
		{
			affiche_msg("<:utilisateur:> $this->prenom $this->nom <:user_efface:>.");	
		}
		else
		{
			affiche_msg("<:erreur:>: <:utilisateur:> $this->prenom $this->nom <:user_efface:>.");		
		}
	
		return $resultat;	
	}


function ajoute()
	{global $db_name;
	//$dbidconnect=opendb_admin();
	
	$nom      =str_replace("'","''",$this->nom)         ;
	$prenom   =str_replace("'","''",$this->prenom)    ;  
	$email    =str_replace("'","''",$this->email)       ;
	$institut =str_replace("'","''",$this->institut)    ;
	$addresse1=str_replace("'","''",$this->addresse1);   
	$addresse2=str_replace("'","''",$this->addresse2) ;  
	$zip      =str_replace("'","''",$this->zip)         ;
	$ville    =str_replace("'","''",$this->ville)       ;
	$pays     =str_replace("'","''",$this->pays)     ;   
	$tel1     =str_replace("'","''",$this->tel1)        ;
	$tel2     =str_replace("'","''",$this->tel2)        ;
	$fax      =str_replace("'","''",$this->fax)         ;
	//$passwd   =str_replace("'","''",$this->passwd) ;     
	$passwd   =str_replace("'","''",$this->encode_passwd($this->email,$this->passwd)) ; 
	
	 
	$requete = "INSERT INTO spip_gesconfs_people(";
	$requete .=" nom,prenom, email,institut, addresse1,";
	$requete .=" addresse2,zip, ville,pays,tel1,tel2,fax,passwd)";
	$requete .="VALUES ( '$nom', '$prenom', '$email','$institut', ";
	$requete .="'$addresse1','$addresse2','$zip', '$ville','$pays',";
	$requete .="'$tel1','$tel2','$fax','$passwd')";
	
	//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);
	$resultat=spip_query($requete);
	
	if ($resultat)
		{		
		$this->id_people=spip_insert_id();		
		$ok=1;
		}
	else
		{
		$ok=0;
		}
	return $ok;
	}
	
function modifie()
	{global $db_name;	
	//$dbidconnect=opendb_admin();
	
	$nom      =str_replace("'","''",$this->nom)         ;
	$prenom   =str_replace("'","''",$this->prenom)    ;  
	$email    =str_replace("'","''",$this->email)       ;
	$institut =str_replace("'","''",$this->institut)    ;
	$addresse1=str_replace("'","''",$this->addresse1);   
	$addresse2=str_replace("'","''",$this->addresse2) ;  
	$zip      =str_replace("'","''",$this->zip)         ;
	$ville    =str_replace("'","''",$this->ville)       ;
	$pays     =str_replace("'","''",$this->pays)     ;   
	$tel1     =str_replace("'","''",$this->tel1)        ;
	$tel2     =str_replace("'","''",$this->tel2)        ;
	$fax      =str_replace("'","''",$this->fax)         ;
	//$passwd   =str_replace("'","''",$this->passwd) ;     
	$passwd   =str_replace("'","''",$this->encode_passwd($this->email,$this->passwd)) ; 

	$requete = "UPDATE spip_gesconfs_people ";
	$requete .= " SET 	nom      ='$nom'     ,";
	$requete .= "		prenom   ='$prenom'  ,";
	$requete .= "		email    ='$email'    ,";
	$requete .= "		institut ='$institut' ,";
	$requete .= "		addresse1='$addresse1',";
	$requete .= "		addresse2='$addresse2',";
	$requete .= "		zip      ='$zip'      ,";
	$requete .= "		ville    ='$ville'    ,";
	$requete .= "		pays     ='$pays' ,    ";
	$requete .= "		tel1     ='$tel1'    , ";
	$requete .= "		tel2     ='$tel2'     ,";
	$requete .= "		fax      ='$fax'      ,";
	$requete .= "		passwd   ='$passwd'   ";
	$requete .= " WHERE id_people= $this->id_people ";
		
	//$resultat=mysql_db_query($db_name,$requete,$dbidconnect);			
	$resultat=spip_query($requete);		
	return $resultat;
	}
	


// This function was used to update all users passwd with encryption
// Should not be used again !!!
function update_all_users()	
	{
		$requete="SELECT spip_gesconfs_people.id_people, spip_gesconfs_people.nom, spip_gesconfs_people.prenom,";
    	$requete.="spip_gesconfs_people.email, spip_gesconfs_people.institut, spip_gesconfs_people.addresse1, ";
    	$requete.="spip_gesconfs_people.addresse2,spip_gesconfs_people.zip, spip_gesconfs_people.ville, ";
    	$requete.="spip_gesconfs_people.pays, spip_gesconfs_people.tel1, spip_gesconfs_people.tel2, ";
    	$requete.="spip_gesconfs_people.fax, spip_gesconfs_people.passwd, spip_gesconfs_people.passwd2 ";
    	$requete.="FROM spip_gesconfs_people ";
    	
		$retour = spip_query($requete);
	$nb=spip_num_rows($retour);
	
	if ($nb==0)
	{
			$this->init(-1,"","",$email,"","","","","","","","","",$pass);
	} 
	else
	{
		$ok=true;
		while ($resultat=spip_fetch_array($retour))
		{		
			// UNE SEULE DES DEUX LIGNES SUIVANTES A DECOMMENTER  + LA DERNIERE LIGNE

			// Decommenter la ligne suivante pour faire le backup des passwd
			//$requete2= "UPDATE spip_gesconfs_people SET passwd2=  '".str_replace("'","''",$resultat[passwd])."' WHERE id_people= $resultat[id_people]";
			
			// Decommenter la ligne suivante pour encrypter les passwd
			//$requete2= "UPDATE spip_gesconfs_people SET passwd=  '".str_replace("'","''",$this->encode_passwd($resultat[email],$resultat[passwd]))."' WHERE id_people= $resultat[id_people]";
			
			
			$retour2 = spip_query($requete2);
			
		}	
	}
	return $ok;
	}


}

?>