<?php





// Fonctions gnriques provenant du livre PHP4
function supprimer_encodage_MQ($valeur) {
	// si magic quotes est actif, retourner
	// la valeur aprs suppression de l'encodage
	// (=> appel  stripslashes), sinon, retourner
	// la valeur
	return (get_magic_quotes_gpc())?
		stripslashes($valeur):$valeur;
}
function valeur_saisie($valeur) {
	return supprimer_encodage_MQ ( trim($valeur));
}
function vers_formulaire($valeur) {

	// affichage dans un formulaire

	// encoder tous les caractres HTML spciaux
	// 	- ENT_QUOTES : dont " et '
	return htmlentities($valeur,ENT_QUOTES);

}
function vers_page($valeur) {

	// affichage direct dans une page

	// 1. encoder tous les caractres HTML spciaux
	// 	- ENT_QUOTES : dont " et '
	// 2. transformer les sauts de ligne en <BR>
	return nl2br(htmlentities($valeur,ENT_QUOTES));

}
function vers_base($valeur) {
	// le seul caractre qui pose vraiment problme est
	// l'apostrophe (') ; c'est donc le seul qui est chapp
	// par cette fonction
	// une solution valable pour toutes les bases consiste 
	// l'chapper par lui-mme => remplacement de ' par ''
	return str_replace("'","''",$valeur);
}
function construire_requete($requete) {

	// rcuprer le nombre de paramtre 
	$nombre_param = func_num_args();
	// boucler sur tous les paramtres  partir du deuxime
	// (le premier contient la requte de base)
	for($i=1;$i<$nombre_param;$i++) {

		// rcuprer la valeur du paramtre
		$valeur = func_get_arg($i);

		// si c'est une chane, remplacer ' par ''
		if (is_string($valeur)) {
			$valeur = str_replace("'","''",$valeur);
		}

		// mettre la valeur  son emplacement %n (n = $i)
		$requete = str_replace("%$i",$valeur,$requete);
	}
	// retourner la requte
	return $requete;
}

$encodage="UTF-8";
function vers_javascript($texte){
	return str_replace(chr(10),"",str_replace(chr(13),"",nl2br( vers_html($texte,ENT_QUOTES,$encodage) ) ) );
}
function vers_html($texte){
	return htmlspecialchars($texte,ENT_QUOTES,$encodage);
	//return $texte;
}
function vers_csv($valeur) {
	// On remplace les " par des ""
	return str_replace('"','""',$valeur);
}
function affiche_msg($message)
{
		$message=addslashes($message);
		echo "<script language=\"JavaScript\" type=\"text/JavaScript\">\n";
		echo "<!--\n";
		
		echo "var y=document.createElement('span'); \n
		y.innerHTML='".str_replace("'","\'",fl_traduire($message))."'; \n
		alert(y.innerHTML); \n
		";
		
		echo "//-->\n";
		echo "</script>\n";

}

function fl_at($fl_txt){
	$rechercher="@";
	$remplacer="<a class=\"hackers\" href=\"mailto:support@microsoft.com\"></a>@<a class=\"hackers\" href=\"mailto:support@microsoft.com\"></a>";
	$fl_txt = str_replace($rechercher,$remplacer,$fl_txt);
	return $fl_txt;
}

// Fonction traduisant les balises <:montexte:>
function fl_traduire($texte){
	return preg_replace("/<:([a-z0-9_ ]+):>/e", "_T('gesconfs:\\1')", $texte);
}


function fl_emailvalide($email){
	// Auteur : bobocop (arobase) bobocop (point) cz
	// Traduction des commentaires par mathieu
	
	// Le code suivant est la version du 2 mai 2005 qui respecte les RFC 2822 et 1035
	// http://www.faqs.org/rfcs/rfc2822.html
	// http://www.faqs.org/rfcs/rfc1035.html
	
	$atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // caractres autoriss avant l'arobase
	$domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // caractres autoriss aprs l'arobase (nom de domaine)
								   
	$regex = '/^' . $atom . '+' .   // Une ou plusieurs fois les caractres autoriss avant l'arobase
	'(\.' . $atom . '+)*' .         // Suivis par zro point ou plus
									// spars par des caractres autoriss avant l'arobase
	'@' .                           // Suivis d'un arobase
	'(' . $domain . '{1,63}\.)+' .  // Suivis par 1  63 caractres autoriss pour le nom de domaine
									// spars par des points
	$domain . '{2,63}$/i';          // Suivi de 2  63 caractres autoriss pour le nom de domaine
	
	// test de l'adresse e-mail
	if (preg_match($regex, $email)) {
		return true;
	} else {
		return false;;
	}
}
?>